Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.starkfi.io/llms.txt

Use this file to discover all available pages before exploring further.

Used in the /payment/register/intents-create-order endpoint by sending only the order_id parameter in the payload.

Creating an order

POST /order/create
1

Creating an order

Creating a fixed order 

Request Body

ParameterTypeRequiredDescription
executor_idstringTransaction executor type. Use api_transaction when request comes via API
from_currency_symbolstringSource currency code (e.g. BRL, USD)
amount_fromstringAmount to be converted from source currency (e.g. "150.00")
to_currency_symbolstringTarget currency code (e.g. USDT)
to_chainstringDestination blockchain network to receive the selected currency (e.g. solana)
on_rampbooleanSet true for on-ramp flow, false for off-ramp
gateway_methodstringGateway processing method. Use direct for direct processing or subs for subscription payments
payment_method_allowedobjectObject defining which payment methods are enabled
payment_method_allowed.pixcryptobooleanEnable PIX → Crypto payments
payment_method_allowed.cardcryptobooleanEnable Card → Crypto payments
payment_method_allowed.cardfiatbooleanEnable Card → Fiat payments
payment_method_allowed.cryptopixbooleanEnable Crypto → PIX payments
payment_method_allowed.cryptobooleanEnable Crypto → Crypto payments
order_itemsarrayList of items in the order
order_items[].namestringProduct name
order_items[].descriptionstringProduct description
order_items[].quantitynumberQuantity of the item
order_items[].image_urlstringURL of the product image
split_payment_configarrayList of receivers for payment splitting
split_payment_config[].receiver_walletstringWallet address to receive the funds
split_payment_config[].receiver_percentnumberPercentage of the payment this wallet receives (0–100)
2

Request example

curl --request POST \
  --url https://api.starkfi.io/order/create \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api_key>' \
  --data '{
  "executor_id": "api_transaction",
  "tenant_data": {
    "public_client_id": "cmngy66mw0000e6y0uowcbxgf",
    "webhook_url": "https://webhook.site/97b5142a-1cb7-4142-8306-3d98a93e9a79"
  },
  "payment_method_allowed": {
    "pixcrypto": true,
    "cardcrypto": true,
    "cardfiat": true,
    "cryptopix": true,
    "crypto": true
  },
  "order_items": [
    {
      "name": "Produto Teste",
      "description": "Descrição do produto",
      "quantity": 1,
      "image_url": "https://example.com/produto.png"
    }
  ],
  "split_payment_config": [
    {
      "receiver_wallet": "0x9b57847b69D0354837F7b723133B9dBCbefb4F9F",
      "receiver_percent": 100
    }
  ],
  "gateway_method": "direct",
  "from_currency_symbol": "BRL",
  "amount_from": "150.00",
  "to_currency_symbol": "USDT",
  "to_chain": "solana",
  "on_ramp": false
}'
3

Expected response

{
    "statusCode": 200,
    "success": true,
    "status": "order_created",
    "message": "Order created successfully.",
    "data": {
        "order_id": "cmoly2p17000101nm1vglh3u5"
    }
}
You can now make calls to register a transaction order using the returned order_id, as follows:
curl --request POST \
  --url https://api.starkfi.io/payment/register/intents-create-order \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api_key>' \
  --data '{
	"order_code": "cmoly2p17000101nm1vglh3u5"
  },